
#实现在记事本上和MKScript的【信息框】同步输出 a b c .....  x y z      A B C ... X Y Z
#使用 key_xxx 的时候，要注意当前键盘的输入法状态

alert("在点【确定】按钮前，先打开【记事本】。\r\n\r\n在点【确定】按钮后的 3 秒内，将焦点移到【记事本】中。")

#暂停 3 秒
sleep(3000)

#定义变量
int m = 1
char c

for int n = 0 to 1

    if m == 1    
        c = 'a'    
    else    
        c = 'A'    
    endif    
    
    loop -1        
    
        #键盘输入一个字符    
        key_char(c, 1)        
        key_char(' ', 1) 
        
        #在【信息框】输出个字符       
        print(c + " ")
        
        #暂停 100 毫秒
        sleep(100)
        
        #如果 c 等于 'z' 跳出循环
        if c == 'z'
            break
        endif
        
        #如果 c 等于 'Z' 跳出循环
        if c == 'Z'
            break
        endif
        
        #字符变量递增 1
        c = c + 1
    
    endloop
    
    #按2次回车键
    key_enter(2)
    
    println("\r\n")
    
    #变量 m 递增
    m = m + 1

next

#按2次回车键
key_enter(2)
input("完成")

println("\r\n完成")